% Note: this is a sample script, it will not run without the fastaq files
% The fiel can be downloaded here: 
% http://www.chem.ualberta.ca/~derda/zebrapaper/    
% File name: Derda-sample2_NoIndex_L002_R1_001.fastq 
% File Size: 630 Mb

indir = '/Users/ratmirderda/Documents/My PAPERS/NAR - Parasites/before submission/Illumina DATA 122711/';

outdirLIB = fullfile(indir,'LIB');
rawname   = 'data';
checkNNK = false;

uniname = 'unique30FuR';

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

BARS = {'GAC'; 'GTA'; 'TTG'; 'TCA'; 'CGA'; 'XXX' };     
% cell array of strings defining different bars
LIBS = {'Ph7'};

%%%%%%%%% Optional block that searches for mutants and removes them
for i=1:numel(LIBS)
    for j=2:numel(BARS)
        FOL{i,j} = fullfile(outdirLIB, ['data122711' LIBS{i} '_' BARS{j}]);
        uniname = ['PhD7-' BARS{j} '-30FuR'];
        look4mut('inname',fullfile(FOL{i,j},[uniname '.txt']), ...
               'outname', fullfile(FOL{i,j},['MUT' uniname '.txt']));
        removemut('inname',fullfile(FOL{i,j},['MUT' uniname '.txt']), ...
               'outname', fullfile(FOL{i,j},['NoMu' uniname '.txt']));           
    end
end








