function [aac,ntc] = nt2aacell(nt,L,REV,Qfix)
 
if iscell(nt)
  ntc = char(nt); 
else
    ntc=nt;
end
clear('nt');


if REV
    ntc = fliplr(ntc);

    G = (ntc=='G');
    C = (ntc=='C');
    A = (ntc=='A');
    T = (ntc=='T');

    ntc(G) = 'C';
    ntc(C) = 'G';
    ntc(T) = 'A';
    ntc(A) = 'T';
end


test.AAA='K';  test.AAC='N';  test.AAG='K';  test.AAT='N';
test.ACA='T';  test.ACC='T';  test.ACG='T';  test.ACT='T';
test.AGA='R';  test.AGC='S';  test.AGG='R';  test.AGT='S';
test.ATA='I';  test.ATC='I';  test.ATG='M';  test.ATT='I';
test.CAA='Q';  test.CAC='H';  test.CAG='Q';  test.CAT='H';
test.CCA='P';  test.CCC='P';  test.CCG='P';  test.CCT='P';
test.CGA='R';  test.CGC='R';  test.CGG='R';  test.CGT='R';
test.CTA='L';  test.CTC='L';  test.CTG='L';  test.CTT='L';
test.GAA='E';  test.GAC='D';  test.GAG='E';  test.GAT='D';
test.GCA='A';  test.GCC='A';  test.GCG='A';  test.GCT='A';
test.GGA='G';  test.GGC='G';  test.GGG='G';  test.GGT='G';
test.GTA='V';  test.GTC='V';  test.GTG='V';  test.GTT='V';
test.TAA='*';  test.TAC='Y';  test.TAG='*';  test.TAT='Y';
test.TCA='S';  test.TCC='S';  test.TCG='S';  test.TCT='S';
test.TGA='*';  test.TGC='C';  test.TGG='W';  test.TGT='C';
test.TTA='L';  test.TTC='F';  test.TTG='L';  test.TTT='F';

if Qfix
    test.TAG = 'Q';  % overwrite amber stop codon
end

if L>0
ntc=ntc(:,L);

  aalength = size(ntc,2) / 3;
  aac = ntc(:,1:aalength);
  aac(:) = '@';


  map = test; 
  codons = fieldnames(map);
  %codons = codons(2:end-1);

  for i=1:aalength
      triplets = (ntc(:,(i-1)*3+1:i*3));
      [utr,~,Y] = unique(triplets,'rows');
      for j=1:size(utr,1)
          IX = (Y==j);

          try
          aac(IX,i) = map.(utr(j,:));
          catch
              if strcmp(utr(j,:),'   ')
                  aac(IX,i)=' ';
              else
                  aac(IX,i)='X';
              end
          end

      end
  end
else
    aac='';
end
  
  
end
