function uniseq(varargin)
% 
% BARF = {'GTA'; 'GAC'; 'TTG'; 'TCA'; 'CGA'; 'XXX' };     
% % cell array of strings defining different bars
% LIBS = {'C7C';...
%         'Ph7';...
%         'P12'};
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% inname = 'data';   % if inname stays blank, call uigetfile
% outname= 'unique';   % default save name, will have 000N appended to it
% indir = '';
% 
number=0;
%check for input variable
if exist('varargin','var')
    L = length(varargin);
    if rem(L,2) ~= 0, error('Parameters/Values must come in pairs.'); 
    end

    % read input variables
    for ni = 1:2:L
        switch lower(varargin{ni})
            case 'inname', inname = varargin{ni+1};
            case 'outname', outname = varargin{ni+1};
            case 'indir', indir=varargin{ni+1};
            case 'number', number=varargin{ni+1};
        end
    end
end

%%%%%%%%%%%%% End of the Input Section %%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


    tic
    fh = fopen(inname,'r');
    AllVar = textscan(fh,'%s %*[^\n]');
    NUC = AllVar{1};
    
    if number 
        A=round(random('unif',1,numel(NUC),1,number));
        A=unique(A);
        diff = number-numel(A);
        while diff>0
           A=[A round(random('unif',1,numel(NUC),1,diff))]; 
           A=unique(A);
           diff = number-numel(A);
        end
        NUC = NUC(A);
    end
    TOT = numel(NUC);
    clear('AllVar');
    timeR = num2str(toc,3); tic
    
    [NUC, FreqN] = uniquef (NUC);
    sNUC = char(NUC);  
    [PEP,~] = nt2aacell(sNUC,1:size(sNUC,2),0,1);
        
    test2=textscan(sprintf('%d\n', FreqN), '%s');
    clear('FreqN','NUC');
    cFr=char(test2{1});

    RET  = char (10*ones(size(sNUC,1),1));
    SP   = char (32*ones(size(sNUC,1),5));
    RET(end) = ' ';
    uTOT = numel(RET);
        
    toSave=[sNUC SP PEP SP cFr RET];
    clear('sNUC','SP','cFr','RET');
    
    fprintf( fopen(outname, 'w'), '%s\r\n', toSave');
    fclose all;
    clear('toSave');
    timeW = num2str(toc,3);
        disp([inname(end-18:end) ' Read t=' timeR ' s; Sort/Write t=' timeW  ...
          '  s; Total=' num2str(TOT) ...
          ' Unique=' num2str(uTOT) ]);
      
end
    
% function [CELL] = char2cell (CHAR)
%     RET   =  char(10*ones(size(CHAR,1),1));
%     RET(end) = ' ';
%     test2 = textscan(sprintf('%s\n', [CHAR RET]'), '%s');
%     CELL = test2{1};
% end
