function struct2zebra(zebra, isminus)

xlim(zebra.xLim); 
ylim(zebra.yLim);

if ~isminus

% define the spacing for text labels
    zebra.text0 = 0.5 -(zebra.Nseg*zebra.Th) / 2;
    zebra.dT = zebra.length/zebra.Nseg;
% find maximum for axis
zebra.MaxA = max(zebra.W);

    %    if ~isempty(IX)
    for i=1:zebra.Nseg
            zebra.SegStart(i) = sum(zebra.H(1:i-1));
%fuck you
        if strcmpi(zebra.orientation,'horizontal')
            if zebra.W(i)>0 && zebra.H(i)>0
            rectangle('position',...
                [zebra.XY00(1)+zebra.SegStart(i) zebra.XY00(2)...
                 zebra.H(i) zebra.width*zebra.W(i) ],...
                'FaceColor',zebra.COL{i},'EdgeColor',zebra.COL2{i},'LineWidth',0.5 );
            end
            
        elseif strcmpi(zebra.orientation,'vertical')
            if zebra.W(i)>0 && zebra.H(i)>0
            rectangle('position',...
                [zebra.XY00(1) zebra.XY00(2)+zebra.SegStart(i) ...
                 zebra.width*zebra.W(i) zebra.H(i)],...
                'FaceColor',zebra.COL{i},'EdgeColor',zebra.COL2{i},'LineWidth',0.5 );
            end
        end           

%------- draw labels (if flags are set to 1) -----------------------------
        if zebra.addlabel
            
            if strcmpi(zebra.orientation,'horizontal')

            line([zebra.XY00(1)+zebra.SegStart(i)+zebra.H(i)/2 ...
                  zebra.XY00(1)+zebra.text0+(i-0.5)*zebra.Th],...
                 [zebra.XY00(2) zebra.XY00(2)-zebra.width/2],...
                 'color',[0 0 0]);

            text(zebra.XY00(1)+zebra.text0+(i-0.5)*zebra.Th,...
                 zebra.XY00(2)-zebra.width/2,...
                zebra.label{i}, ... num2str(zebra.segment(i)),...
                'fontname',zebra.Font, 'rotation',-90,...
                'FontUnits', 'normalized','HorizontalAlignment','left',...
                'FontSize',zebra.Th/(zebra.xLim(2)-zebra.xLim(1)) );

            elseif strcmpi(zebra.orientation,'vertical')

            line([zebra.XY00(1) zebra.XY00(1)-zebra.width/2],...
                 [zebra.XY00(2)+zebra.SegStart(i)+zebra.H(i)/2 ...
                  zebra.XY00(2)+zebra.text0+(i-0.5)*zebra.Th],...
                 'color',[0 0 0]);

            text(zebra.XY00(1)-zebra.width/2, zebra.XY00(2)+zebra.text0+(i-0.5)*zebra.Th,...
                zebra.label{i}, ... num2str(zebra.segment(i)),...
                'fontname',zebra.Font, 'rotation',0,...
                'FontUnits', 'normalized','HorizontalAlignment','right',...
                'FontSize',zebra.Th/(zebra.yLim(2)-zebra.yLim(1)) );
            end
        end
 
 %------- draw labels (if flags are set to 1) -----------------------------
        if zebra.addfreq

            if strcmpi(zebra.orientation,'horizontal')

            line([zebra.XY00(1)+zebra.SegStart(i)+zebra.H(i)/2 ...
                  zebra.XY00(1)+zebra.text0+(i-0.5)*zebra.Th],...
                 [zebra.XY00(2)+zebra.width*zebra.W(i) ...
                  zebra.XY00(2)+3*zebra.width*zebra.W(i)/2],...
                 'color',[0 0 0]);

            text(zebra.XY00(1)+zebra.text0+(i-0.5)*zebra.Th,...
                 zebra.XY00(2)+3*zebra.width*zebra.W(i)/2,...
                num2str(zebra.segfreq(i)),...
                'fontname',zebra.Font, 'rotation',-90,...
                'FontUnits', 'normalized','HorizontalAlignment','right',...
                'FontSize',zebra.Th/(zebra.xLim(2)-zebra.xLim(1)) );

            elseif strcmpi(zebra.orientation,'vertical')

            line([zebra.XY00(1)+zebra.width*zebra.W(i) ...
                  zebra.XY00(1)+3*zebra.width*zebra.W(i)/2],...
                 [zebra.XY00(2)+zebra.SegStart(i)+zebra.H(i)/2 ...
                  zebra.XY00(2)+zebra.text0+(i-0.5)*zebra.Th],...
                 'color',[0 0 0]);

            text(zebra.XY00(1)+3*zebra.width*zebra.W(i)/2,...
                 zebra.XY00(2)+zebra.text0+(i-0.5)*zebra.Th,...
                num2str(zebra.segfreq(i)),...
                'fontname',zebra.Font, 'rotation',0,...
                'FontUnits', 'normalized','HorizontalAlignment','left',...
                'FontSize',zebra.Th/(zebra.yLim(2)-zebra.yLim(1)) );
            end
        end
        
        
 %       end  % of if ~isempty(IX)   
    end  % of for-cycle
%-----------------------------------------------------------------------  

    % draw the outline bar 
    if zebra.drawoutline
        if strcmpi(zebra.orientation,'horizontal')
            rectangle('position',...
                [zebra.XY00(1) zebra.XY00(2) zebra.length zebra.width],...
                'FaceColor','none','EdgeColor',[0 0 0],'LineWidth',0.1 );
            
        elseif strcmpi(zebra.orientation,'vertical')
            rectangle('position',...
                [zebra.XY00(1) zebra.XY00(2) zebra.width zebra.length],...
                'FaceColor','none','EdgeColor',[0 0 0],'LineWidth',0.1 );
        end
    end
    
    % add names or total frequency

    if strcmpi(zebra.orientation,'horizontal')

        if zebra.addaxis
        line([zebra.XY00(1) zebra.XY00(1)],...
              [zebra.XY00(2) zebra.XY00(2)+ceil(zebra.MaxA)*zebra.width],...
             'Color',[0 0 0],'LineWidth',1 );
        line([zebra.XY00(1)+zebra.length zebra.XY00(1)+zebra.length],...
              [zebra.XY00(2) zebra.XY00(2)+ceil(zebra.MaxA)*zebra.width],...
             'Color',[0 0 0],'LineWidth',1 ); 
         
            for j=1:ceil(zebra.MaxA)
             line([zebra.XY00(1) zebra.XY00(1)-zebra.Th/3],...
                  [zebra.XY00(2)+j*zebra.width zebra.XY00(2)+j*zebra.width],...
                 'Color',[0 0 0],'LineWidth',1 ); 
             line([zebra.XY00(1)+zebra.length zebra.XY00(1)+zebra.length+zebra.Th/3],...
                  [zebra.XY00(2)+j*zebra.width   zebra.XY00(2)+j*zebra.width],...
                 'Color',[0 0 0],'LineWidth',1 ); 
             text(zebra.XY00(1)-zebra.Th/2,zebra.XY00(2)+j*zebra.width, [num2str(10^(j-1))],...
                 'VerticalAlignment','Middle','rotation',0,...
                 'HorizontalAlignment','right',...
                 'fontname',zebra.Font,'FontUnits', 'normalized',...
                 'FontSize',zebra.Th/( zebra.xLim(2)-zebra.xLim(1) ) );
            end
        end        

        if ~strcmp(zebra.Title,'')
            text(zebra.XY00(1)-zebra.length*0.05, zebra.XY00(2)+zebra.width/2, zebra.Title,...
            'HorizontalAlignment','right',...
            'fontname',zebra.Font,'FontUnits', 'normalized',...
            'FontSize',zebra.Th/(zebra.yLim(2)-zebra.yLim(1)) );
        end
        if zebra.addtotal   
            text(zebra.XY00(1)+zebra.length+zebra.Th, zebra.XY00(2)+zebra.width,...
                ['U =' num2str(zebra.Uni,'%d') char(10)...
                  'T =' num2str(zebra.Tot,'%d')  ],...
                 'VerticalAlignment','bottom',...
                 'fontname',zebra.Font,'FontUnits', 'normalized',...
                 'FontSize',zebra.Th/(zebra.yLim(2)-zebra.yLim(1)) );
        end
        
    elseif strcmpi(zebra.orientation,'vertical')
        
        if zebra.addaxis
        line([zebra.XY00(1) zebra.XY00(1)+ceil(zebra.MaxA)*zebra.width],...
             [zebra.XY00(2) zebra.XY00(2)],...
             'Color',[0 0 0],'LineWidth',1 );
        line([zebra.XY00(1) zebra.XY00(1)+ceil(zebra.MaxA)*zebra.width],...
             [zebra.XY00(2)+zebra.length zebra.XY00(2)+zebra.length],...
             'Color',[0 0 0],'LineWidth',1 ); 
         
            for j=1:ceil(zebra.MaxA)
             line([zebra.XY00(1)+j*zebra.width zebra.XY00(1)+j*zebra.width],...
                  [zebra.XY00(2) zebra.XY00(2)-zebra.Th/3],...
                 'Color',[0 0 0],'LineWidth',1 ); 
             line([zebra.XY00(1)+j*zebra.width zebra.XY00(1)+j*zebra.width],...
                  [zebra.XY00(2)+zebra.length zebra.XY00(2)+zebra.length+zebra.Th/3],...
                 'Color',[0 0 0],'LineWidth',1 ); 
             text(zebra.XY00(1)+j*zebra.width,zebra.XY00(2)-zebra.Th/2, num2str(10^(j-1)),...
                 'VerticalAlignment','Middle','rotation',-90,...
                 'HorizontalAlignment','left',...
                 'fontname',zebra.Font,'FontUnits', 'normalized',...
                 'FontSize',zebra.Th/(zebra.yLim(2)-zebra.yLim(1)) );
            end
        end
        if ~strcmp(zebra.Title,'')
            text(zebra.XY00(1)+zebra.width/2,zebra.XY00(2)-zebra.length*0.05, zebra.Title,...
            'HorizontalAlignment','right','rotation',90,...
            'fontname',zebra.Font,'FontUnits', 'normalized',...
            'FontSize',zebra.Th/(zebra.xLim(2)-zebra.xLim(1)) );
        end
        if zebra.addtotal   
            text(zebra.XY00(1), zebra.XY00(2)+zebra.length+zebra.Th,...
                ['U = ' num2str(zebra.Uni,'%d') char(10)...
                  'T = ' num2str(zebra.Tot,'%d')  ],...
                 'VerticalAlignment','bottom','rotation',0,...
                 'fontname',zebra.Font,'FontUnits', 'normalized',...
                 'FontSize',zebra.Th/(zebra.xLim(2)-zebra.xLim(1)) );
        end 
    end  % of adding name and frequency
 
else
   % define the spacing for text labels
    zebra.text0 = 0.5 -(zebra.Nseg*zebra.Th) / 2;
    zebra.dT = zebra.length/zebra.Nseg;

    %    if ~isempty(IX)
    for i=1:zebra.Nseg
            zebra.SegStart(i) = sum(zebra.H(1:i-1));

        if strcmpi(zebra.orientation,'horizontal')
            if zebra.W(i)>0 && zebra.H(i)>0
            rectangle('position',...
                [zebra.XY00(1)+zebra.SegStart(i) ...
                 zebra.XY00(2)-zebra.width*zebra.W(i)...
                 zebra.H(i) ...
                 zebra.width*zebra.W(i) ],...
                'FaceColor',zebra.COL{i},'EdgeColor',zebra.COL2{i},'LineWidth',0.5 );
            end
            
        elseif strcmpi(zebra.orientation,'vertical')
            if zebra.W(i)>0 && zebra.H(i)>0
            rectangle('position',...
                [zebra.XY00(1)-zebra.width*zebra.W(i) ... 
                 zebra.XY00(2)+zebra.SegStart(i) ...
                 zebra.width*zebra.W(i) ...
                 zebra.H(i)],...
                'FaceColor',zebra.COL{i},'EdgeColor',zebra.COL2{i},'LineWidth',0.5 );
            end
        end           

%------- draw labels (if flags are set to 1) -----------------------------
        if zebra.addlabel
            
            if strcmpi(zebra.orientation,'horizontal')

            line([zebra.XY00(1)+zebra.SegStart(i)+zebra.H(i)/2 ...
                  zebra.XY00(1)+zebra.text0+(i-0.5)*zebra.Th],...
                 [zebra.XY00(2) zebra.XY00(2)+zebra.width/2],...
                 'color',[0 0 0]);

            text(zebra.XY00(1)+zebra.text0+(i-0.5)*zebra.Th,...
                 zebra.XY00(2)+zebra.width/2,...
                zebra.label{i}, ... num2str(zebra.segment(i)),...
                'fontname',zebra.Font, 'rotation',-90,...
                'FontUnits', 'normalized','HorizontalAlignment','right',...
                'FontSize',zebra.Th/(zebra.xLim(2)-zebra.xLim(1)) );

            elseif strcmpi(zebra.orientation,'vertical')

            line([zebra.XY00(1) zebra.XY00(1)+zebra.width/2],...
                 [zebra.XY00(2)+zebra.SegStart(i)+zebra.H(i)/2 ...
                  zebra.XY00(2)+zebra.text0+(i-0.5)*zebra.Th],...
                 'color',[0 0 0]);

            text(zebra.XY00(1)+zebra.width/2,...
                 zebra.XY00(2)+zebra.text0+(i-0.5)*zebra.Th,...
                zebra.label{i}, ... num2str(zebra.segment(i)),...
                'fontname',zebra.Font, 'rotation',0,...
                'FontUnits', 'normalized','HorizontalAlignment','left',...
                'FontSize',zebra.Th/(zebra.yLim(2)-zebra.yLim(1)) );
            end
        end
 
 %------- draw labels (if flags are set to 1) -----------------------------
        if zebra.addfreq

            if strcmpi(zebra.orientation,'horizontal')

            line([zebra.XY00(1)+zebra.SegStart(i)+zebra.H(i)/2 ...
                  zebra.XY00(1)+zebra.text0+(i-0.5)*zebra.Th],...
                 [zebra.XY00(2)-zebra.width*zebra.W(i) ...
                  zebra.XY00(2)-3*zebra.width*zebra.W(i)/2],...
                 'color',[0 0 0]);

            text(zebra.XY00(1)+zebra.text0+(i-0.5)*zebra.Th,...
                 zebra.XY00(2)-3*zebra.width*zebra.W(i)/2,...
                num2str(zebra.segfreq(i)),...
                'fontname',zebra.Font, 'rotation',-90,...
                'FontUnits', 'normalized','HorizontalAlignment','left',...
                'FontSize',zebra.Th/(zebra.xLim(2)-zebra.xLim(1)) );

            elseif strcmpi(zebra.orientation,'vertical')

            line([zebra.XY00(1)-zebra.width*zebra.W(i) ...
                  zebra.XY00(1)-3*zebra.width*zebra.W(i)/2],...
                 [zebra.XY00(2)+zebra.SegStart(i)+zebra.H(i)/2 ...
                  zebra.XY00(2)+zebra.text0+(i-0.5)*zebra.Th],...
                 'color',[0 0 0]);

            text(zebra.XY00(1)-3*zebra.width*zebra.W(i)/2,...
                 zebra.XY00(2)+zebra.text0+(i-0.5)*zebra.Th,...
                num2str(zebra.segfreq(i)),...
                'fontname',zebra.Font, 'rotation',0,...
                'FontUnits', 'normalized','HorizontalAlignment','right',...
                'FontSize',zebra.Th/(zebra.yLim(2)-zebra.yLim(1)) );
            end
        end
        
        
 %       end  % of if ~isempty(IX)   
    end  % of for-cycle
%-----------------------------------------------------------------------  

    % draw the outline bar 
    if zebra.drawoutline
        if strcmpi(zebra.orientation,'horizontal')
            rectangle('position',...
                [zebra.XY00(1) zebra.XY00(2) zebra.length zebra.width],...
                'FaceColor','none','EdgeColor',[0 0 0],'LineWidth',0.1 );
            
        elseif strcmpi(zebra.orientation,'vertical')
            rectangle('position',...
                [zebra.XY00(1) zebra.XY00(2) zebra.width zebra.length],...
                'FaceColor','none','EdgeColor',[0 0 0],'LineWidth',0.1 );
        end
    end
    
    % add names or total frequency

    if strcmpi(zebra.orientation,'horizontal')

        if zebra.addaxis
        line([zebra.XY00(1) zebra.XY00(1)],...
              [zebra.XY00(2) zebra.XY00(2)-ceil(zebra.MaxA)*zebra.width],...
             'Color',[0 0 0],'LineWidth',1 );
        line([zebra.XY00(1)+zebra.length zebra.XY00(1)+zebra.length],...
              [zebra.XY00(2) zebra.XY00(2)-ceil(zebra.MaxA)*zebra.width],...
             'Color',[0 0 0],'LineWidth',1 ); 
         
            for j=1:ceil(zebra.MaxA)
             line([zebra.XY00(1) zebra.XY00(1)-zebra.Th/3],...
                  [zebra.XY00(2)-j*zebra.width zebra.XY00(2)-j*zebra.width],...
                 'Color',[0 0 0],'LineWidth',1 ); 
             line([zebra.XY00(1)+zebra.length zebra.XY00(1)+zebra.length+zebra.Th/3],...
                  [zebra.XY00(2)-j*zebra.width   zebra.XY00(2)-j*zebra.width],...
                 'Color',[0 0 0],'LineWidth',1 ); 
             text(zebra.XY00(1)-zebra.Th/2,zebra.XY00(2)-j*zebra.width, [num2str(10^(j-1))],...
                 'VerticalAlignment','Middle','rotation',0,...
                 'HorizontalAlignment','right',...
                 'fontname',zebra.Font,'FontUnits', 'normalized',...
                 'FontSize',zebra.Th/( zebra.xLim(2)-zebra.xLim(1) ) );
            end
        end        

        if ~strcmp(zebra.Title,'')
            text(zebra.XY00(1)-zebra.length*0.05, zebra.XY00(2)+zebra.width/2, zebra.Title,...
            'HorizontalAlignment','right',...
            'fontname',zebra.Font,'FontUnits', 'normalized',...
            'FontSize',zebra.Th/(zebra.yLim(2)-zebra.yLim(1)) );
        end
        if zebra.addtotal   
            text(zebra.XY00(1)+zebra.length+zebra.Th, zebra.XY00(2)+zebra.width,...
                ['U =' num2str(zebra.Uni,'%d') char(10)...
                  'T =' num2str(zebra.Tot,'%d')  ],...
                 'VerticalAlignment','top',...
                 'fontname',zebra.Font,'FontUnits', 'normalized',...
                 'FontSize',zebra.Th/(zebra.yLim(2)-zebra.yLim(1)) );
        end
        
    elseif strcmpi(zebra.orientation,'vertical')
        
        if zebra.addaxis
        line([zebra.XY00(1) zebra.XY00(1)-ceil(zebra.MaxA)*zebra.width],...
             [zebra.XY00(2) zebra.XY00(2)],...
             'Color',[0 0 0],'LineWidth',1 );
        line([zebra.XY00(1) zebra.XY00(1)-ceil(zebra.MaxA)*zebra.width],...
             [zebra.XY00(2)+zebra.length zebra.XY00(2)+zebra.length],...
             'Color',[0 0 0],'LineWidth',1 ); 
         
            for j=1:ceil(zebra.MaxA)
             line([zebra.XY00(1)-j*zebra.width zebra.XY00(1)-j*zebra.width],...
                  [zebra.XY00(2) zebra.XY00(2)-zebra.Th/3],...
                 'Color',[0 0 0],'LineWidth',1 ); 
             line([zebra.XY00(1)-j*zebra.width zebra.XY00(1)-j*zebra.width],...
                  [zebra.XY00(2)+zebra.length zebra.XY00(2)+zebra.length+zebra.Th/3],...
                 'Color',[0 0 0],'LineWidth',1 ); 
             text(zebra.XY00(1)-j*zebra.width,zebra.XY00(2)-zebra.Th/2, num2str(10^(j-1)),...
                 'VerticalAlignment','Middle','rotation',-90,...
                 'HorizontalAlignment','left',...
                 'fontname',zebra.Font,'FontUnits', 'normalized',...
                 'FontSize',zebra.Th/(zebra.yLim(2)-zebra.yLim(1)) );
            end
        end
        if ~strcmp(zebra.Title,'')
            text(zebra.XY00(2)+zebra.width/2,zebra.XY00(1)-zebra.length*0.05, zebra.Title,...
            'HorizontalAlignment','right','rotation',90,...
            'fontname',zebra.Font,'FontUnits', 'normalized',...
            'FontSize',zebra.Th/(zebra.xLim(2)-zebra.xLim(1)) );
        end
        if zebra.addtotal   
            text(zebra.XY00(1), zebra.XY00(2)+zebra.length+zebra.Th,...
                ['U = ' num2str(zebra.Uni,'%d') char(10)...
                  'T = ' num2str(zebra.Tot,'%d')  ],...
                 'VerticalAlignment','bottom','rotation',0,...
                 'HorizontalAlignment','right',...
                 'fontname',zebra.Font,'FontUnits', 'normalized',...
                 'FontSize',zebra.Th/(zebra.xLim(2)-zebra.xLim(1)) );
        end 
    end  % of adding name and frequency
end 
    
end
